# This tarball is a subversion checkout for Flaim 5.0
# Available from https://forgesvn1.novell.com/svn/flaim/trunk/

Name:		libflaim
BuildRequires:	libstdc++ 
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
Summary:	Embeddable cross-platform database engine
URL:		http://forge.novell.com/modules/xfmod/project/?flaim
Version:	4.9.1052
Release:	1%{?dist}
License:	GPLv2
Group:		System Environment/Libraries
Source:		http://forgeftp.novell.com/flaim/development/flaim/downloads/source/%{name}-4.9.1052.tar.gz
Patch0:		fortify-source.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
FLAIM is an embeddable cross-platform database engine that provides a
rich, powerful, easy-to-use feature set. It is the database engine used
by Novell eDirectory. It has proven to be highly scalable, reliable,
and robust. It is available on a wide variety of 32 bit and 64 bit
platforms.

%package devel
Summary:	Embeddable cross-platform database engine
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
FLAIM is an embeddable cross-platform database engine that provides a
rich, powerful, easy-to-use feature set. It is the database engine used
by Novell eDirectory. It has proven to be highly scalable, reliable,
and robust.

%prep
%setup -q
%patch0 -p0

%build
cd flaim/
make CXXFLAGS="$RPM_OPT_FLAGS" lib_dir_name=%{_lib} libs

%install
rm -rf $RPM_BUILD_ROOT
cd flaim/
make rpm_build_root=$RPM_BUILD_ROOT lib_dir_name=%{_lib} install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc flaim/COPYING flaim/COPYRIGHT
%{_libdir}/libflaim.so.*

%files devel
%defattr(-,root,root)
%exclude %{_libdir}/libflaim.a
%{_libdir}/libflaim.so
%{_libdir}/pkgconfig/libflaim.pc
%{_includedir}/flaim.h
%{_includedir}/flaimtk.h

%changelog
* Mon Mar 24 2008 Christopher Brown <snecklifter@gmail.com> - 4.9.1052-1
- Update to latest svn
- Drop gcc43 patch

* Mon Mar 24 2008 Christopher Brown <snecklifter@gmail.com> - 4.9.1051-2
- fortify source patch

* Fri Feb 15 2008 Christopher Brown <snecklifter@gmail.com> - 4.9.1051-1
- Update to latest svn
- Fix building on x86_64 with gcc 4.3

* Mon Dec 17 2007 Christopher Brown <snecklifter@gmail.com> - 4.9.989-18
- exclude static archive from devel package

* Sun Nov 18 2007 Christopher Brown <snecklifter@gmail.com> - 4.9.989-17
- bump releasever

* Sun Nov 18 2007 Christopher Brown <snecklifter@gmail.com> - 4.9.989-16
- include and move libflaim.a

* Mon Sep 10 2007 Christopher Brown <snecklifter@gmail.com> - 4.9.989-15
- bump release for EVR issues

* Sat Sep  8 2007 Christopher Brown <snecklifter@gmail.com> - 4.9.989-12
- build system issue

* Thu Sep  6 2007 Christopher Brown <snecklifter@gmail.com> - 4.9.989-10
- downgrade from svn checkout to official release

* Thu Sep  6 2007 Christopher Brown <snecklifter@gmail.com> - 4.9.1046-10.20070906svn
- patch for install permissions

* Thu Sep  6 2007 Christopher Brown <snecklifter@gmail.com> - 4.9.1046-10
- update buildroot and other changes for bugzilla review #251020

* Thu Aug 30 2007 Christopher Brown <snecklifter@gmail.com> - 4.9.1046-9.2
- add pkgconfig requires
- exclude static libs

* Thu Aug  2 2007 Christopher Brown <snecklifter@gmail.com> - 4.9.1046-9.1
- minor changes for Fedora build
- updated bug url
- added post and postun ldconfig call

* Thu Mar 29 2007 dsanders@novell.com
- Fixed problem of accessing FlmRecord object before it was constructed.

* Thu Mar 29 2007 aj@suse.de
- Add BuildRequires for ncurses-devel.

* Sat Feb 10 2007 aj@suse.de
- Add defattr.

* Thu Feb  8 2007 dsanders@novell.com
- Changes to support Ubuntu packages, including 64-bit.
- Needed to lock the record cache mutex in FlmRecord::Release just before deleting the object to prevent a race condition.
- Changed license to LGPL.
- Updated copyright.
- Added pragmas for windows to remove compiler warnings for VC6 compiler.
- Fixed keyword substitution tokens.
- Added FlmReadFully() and enhanced the base64 decoder.
- Removed commands in makefile that was outputting provides to the spec file.

* Thu Feb  1 2007 ro@suse.de
- remove self-provides from devel package

* Thu Nov 16 2006 dsanders@novell.com
- Removed .exe files from package.
- Removed /zp1 compiler switch and added pragmas to do one-byte packing on structures.
- Getting rid of references to gv_FlmSysData.
- Needed to add a (FLMUINT) cast to a FLMBOOL before it can be cast as a void *.
- Fixed mis-typed member of OPT_INFO structure.
- Fixed Linux compiler warnings.
- Changed several places that needed to access pDbInfo->pProgress instead of just Progress.
- Support for Ubuntu and Debian packages

* Fri Sep 29 2006 aj@suse.de
- Remove explicit self-provides

* Fri Sep  8 2006 dsanders@novell.com
- Added support for 64 bit numbers.
- Modified to use aligned buffers to improve direct I/O efficiency.
- Modified block cache allocator to make more efficient use of memory.
- Added option to allow disabling of direct I/O on Linux and Unix platforms.
- Enhancements to reduce the overhead of growing and shrinking files.
- Modified async I/O to make better reuse of available buffers when writes complete out of order.
- Fixed some memory leaks and other minor defects.
- Added more asserts to debug code.
- Enhancements and improvements to the field ID table inside of FlmRecord object.
- Updated doxygen document to be more accurate.
- Added a gigatest utility for testing bulk loads.
- Added more unit tests.
- Various tweaks for better support of various platforms and compilers.

* Tue Jun 27 2006 dsanders@novell.com
- Needed to make some typedefs public for Solaris 8.
- Also fixed so that flaimtk.h is copied from ftk.h when building srcdist

* Thu Jun 22 2006 ro@suse.de
- removed buggy self-provides from devel package

* Thu Jun 22 2006 dsanders@novell.com
- Modified common toolkit formatter to support colors when logging.
- Modified to use common formatter in toolkit for logging.

* Tue Jun 20 2006 dsanders@novell.com
- Logger client was not being set up properly in common toolkit.
- Fixed a Netware build issue
- Fixed an OS X compiler warning
- Fixed linux compiler warning
- Needed to lock/unlock the random generator mutex when getting a random number.
- f_printf needed to call fflush.
- Base 64 decoder needed to return success instead of eof hit.

* Mon Jun 19 2006 dsanders@novell.com
- Restructured code to use new common toolkit
- Support for Netware, including unit tests
- Fixed various memory leaks and enabled memory tracking for debug builds.
- Made some changes for how async I/O is supported on Solaris.
- Fixed various compiler warnings on various platforms.
- Added more documentation.

* Thu Jun  1 2006 dsanders@novell.com
- Fixed compiler warnings for ia64 platform.

* Tue May 30 2006 dsanders@novell.com
- Added support for Sparc Linux and OpenSuse 10.1
- Various Makefile changes for HP-UX, OS X, and Solaris
- Various code cleanups to support a common toolkit
- Got rid of timeouts for internal transactions.
- Removed some unused methods from the FlmRecord class.
- Fixed defect where partial blocks were being written at the end of database files
- Fixed race condition that was causing memory to be double-freed.
- Added better support for atomic operations on various Unix and Linux platforms.
- Allow application to exceed hardcoded cache limits when setting a hard cache limit.
- Changed RCODE to be an enumerated type - for easier documentation in doxygen.
- Fixed various compiler issues for solaris platform
- Added support for large binary and text fields (up to 4 GB)
- Added async and direct I/O support for Linux and Solaris
- Added new field table for level one fields inside FlmRecords to speed up searches.
- Added support for Netware
- Fixed double mutex lock issue.
- Added support for building Windows binaries with Visual Studio 8.
- Modified slab manager on Solaris to use regular malloc calls instead of mmap.
* Tue Feb 28 2006 dsanders@novell.com
- Added support for Intel MAC and __sparc49 (64 bit) platforms
- Initialized variables to quiet compiler warnings
- Got rid of unneeded internal functions
- Various fixes for Windows - support for vc8 compiler, workaround to compiler issues with inline methods
- Fixedup copyright notice in one source file
* Mon Feb 13 2006 dsanders@novell.com
- Changed naming convention for shared library to conform to standard - should be no need for SONAME fix now.
- Added dbshell utility.
- Started adding support for using autotools.
- Fixed bug on FlmDbReduceSize - needed to quit when encountering a block in a not-yet-deleted b-tree
- Added various new unit tests.
- Fixed various compiler warnings.

* Mon Feb 13 2006 ro@suse.de
- install the SONAME at least as symlink (should be the real file)

* Wed Feb  8 2006 dsanders@novell.com
- Removed make.exe and printf.exe from package.
- Added support for Ubuntu and Debian
- Simplified how unit tests are created.
- Added some new unit tests

* Fri Feb  3 2006 dsanders@novell.com
- Fixed libflaim.pc to specify includedir and Cflags:
- Also changed name: to Name:
- Modified Makefile to use macros for outputting $ and %% characters

* Fri Feb  3 2006 dsanders@novell.com
- Added support for PowerPC architectures
- Changed so that revision number for RPMs will match version number
- in SVN repository.

* Wed Feb  1 2006 dsanders@novell.com
- Initial submission
